import 'package:flutter/material.dart';
import 'package:responsive_builder/responsive_builder.dart';
import 'login_widget.dart';

class LoginPage extends StatelessWidget {
  const LoginPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: ResponsiveBuilder(
        builder: (context, sizingInformation) {
          bool isDesktop = sizingInformation.deviceScreenType == DeviceScreenType.desktop;
          bool isTablet = sizingInformation.deviceScreenType == DeviceScreenType.tablet;

          return Center(
            child: LoginWidget(isDesktop: isDesktop, isTablet: isTablet),
          );
        },
      ),
    );
  }
}
